sub addlist {
	my ($varnames, $varlist) = @_;

	foreach my $item (@$varlist) {
		push(@$varnames, $item);
	}
}

sub perror {
	my ($msg) = @_;

	warnx("perror called w/o WARN or FATAL") if ($msg !~ /^(WARN|FATAL):/);

	$msg =~ s/^WARN/FATAL/ if ($opts{'warnings-fatal'});
	$nfatal++ if ($msg =~ /^FATAL/);
	$nwarn++ if ($msg =~ /^WARN/);
	$msg =~ s/WARN:/WARN: /;
	print "$msg\n";
}

sub verbose {
	my ($msg) = @_;

	print "GOOD: $msg\n" if ($opts{verbose});
}

#
# functions to deal with internal errors
#
sub warn {
	my ($msg) = @_;
		print STDERR $prog . ": " . $msg . "$!\n";
}

sub warnx {
		my ($msg) = @_;
		print STDERR $prog . ": " . $msg . "\n";
}

sub err {
		my ($ex, $msg) = @_;
		warnx("WARNING: err called incorrectly") if (($ex !~ m/^\d+/) || ($msg eq ""));
		print STDERR $prog . ": " . $msg . ": $!\n";
		exit $ex;
}

sub errx {
		my ($ex,$msg) = @_;
		warnx("WARNING: errx called incorrectly") if (($ex !~ m/^\d+/) || ($msg eq ""));
		print STDERR $prog . ": " . $msg . "\n";
		exit $ex;
}
1;
